# AbstractTransformer.GroupifyDistribution (ARX Developer Documentation)

org.deidentifier.arx.framework.check.transformer

## Class AbstractTransformer.GroupifyDistribution

- java.lang.Object
- - org.deidentifier.arx.framework.check.transformer.AbstractTransformer.GroupifyDistribution

- All Implemented Interfaces:
    AbstractTransformer.IGroupify
  Enclosing class:
    AbstractTransformer

      protected final class AbstractTransformer.GroupifyDistribution
      extends java.lang.Object
      implements AbstractTransformer.IGroupify

  Implementation of the delegate for Requirements.DISTRIBUTION

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractTransformer.GroupifyDistribution()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callAll(int[] outtuple, int i)` Mode ALL.
    `void` | `callGroupify(int[] outtuple, HashGroupifyEntry element)` Mode GROUPIFY.
    `void` | `callSnapshot(int[] outtuple, int[] snapshot, int i)` Mode SNAPSHOT.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTransformer.GroupifyDistribution

          protected AbstractTransformer.GroupifyDistribution()

  - ### Method Detail

    - #### callAll

          public final void callAll(int[] outtuple,
                     int i)

      Description copied from interface: `AbstractTransformer.IGroupify`
      Mode ALL.
      Specified by:
        `callAll` in interface `AbstractTransformer.IGroupify`

    - #### callGroupify

          public final void callGroupify(int[] outtuple,
                          HashGroupifyEntry element)

      Description copied from interface: `AbstractTransformer.IGroupify`
      Mode GROUPIFY.
      Specified by:
        `callGroupify` in interface `AbstractTransformer.IGroupify`

    - #### callSnapshot

          public final void callSnapshot(int[] outtuple,
                          int[] snapshot,
                          int i)

      Description copied from interface: `AbstractTransformer.IGroupify`
      Mode SNAPSHOT.
      Specified by:
        `callSnapshot` in interface `AbstractTransformer.IGroupify`